/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Mar-09-2012 08:19:35pm
Filepath: scripts\Mobiles\custom mobiles - to sort\ML Named\Virulent.cs
Lines of code: 78

Description: 

***********************************************************/


//Written By Milkman Dan 2006
//Property of DemonicRidez.com
using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a Virulent corpse" )]
	public class Virulent : BaseCreature
	{
	
		public override WeaponAbility GetWeaponAbility()
		{
			switch ( Utility.Random( 3 ) )
			{
			default:				
			case 0: return WeaponAbility.BleedAttack;
			case 1: return WeaponAbility.DoubleStrike;
			case 2: return WeaponAbility.BleedAttack;
			}
		}		
	
		[Constructable]
		public Virulent () : base( AIType.AI_Mage, FightMode.Closest, 18, 1, 0.06, 0.09  )
		{
			Name = "Virulent";
			Body = 11;
			Hue = 1175;
			BaseSoundID = 1170;

			SetStr( 196, 220 );
			SetDex( 126, 126 );
			SetInt( 286, 310 );

			SetHits( 740, 840 );

			SetDamage( 20, 30 );

			SetDamageType( ResistanceType.Physical, 20 );
			SetDamageType( ResistanceType.Poison, 80 );

			SetResistance( ResistanceType.Physical, 40, 50 );
			SetResistance( ResistanceType.Fire, 40, 40 );
			SetResistance( ResistanceType.Cold, 40, 40 );
			SetResistance( ResistanceType.Poison, 90, 100 );
			SetResistance( ResistanceType.Energy, 40, 40 );

			SetSkill( SkillName.Anatomy, 88.3, 88.3 );
			SetSkill( SkillName.Poisoning, 102.6, 102.6 );
			SetSkill( SkillName.Meditation, 65.1, 80.0 );
			SetSkill( SkillName.MagicResist, 90.3, 90.3 );
			SetSkill( SkillName.Tactics, 109.2, 109.2 );
			SetSkill( SkillName.Wrestling, 114.0, 114.0 );
			SetSkill( SkillName.Magery, 104.0, 114.0 );
			SetSkill( SkillName.EvalInt, 100.0, 124.0 );
			

			Fame = 15000;
			Karma = -15000;

			VirtualArmor = 36;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.UltraRich, 3 );
			AddLoot( LootPack.FilthyRich, 2 );
		}

		public override bool IsMLBoss { get { return true;} }
		public override int TreasureMapLevel{ get{ return 6; } }
		public override double MLChestChance{ get{ return 0.05; } }
		
		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }
		public override Poison HitPoison{ get{ return Poison.Lethal; } }
		public override bool IsMLCreature { get { return true;} }
		public override bool BardImmune{ get{ return true; } }
		public override bool Unprovokable{ get{ return true; } }
		public override bool Uncalmable{ get{ return true; } }
		
		public Virulent( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}